import util from '@/libs/util'
import { Loading } from 'element-ui'
export default {
    data() {
        return {
            playAuth: '',
            player: null,
            iframeSrc: '',
            pdfVisible: false,
            pdfSrc: '',
            isDownload: 0,
            loadIns: null,
        }
    },
    mounted() {
        this.insertScript()
    },
    methods: {
        preview(url,isVideo,isDownload){
            this.isDownload = isDownload
            let ext = util.getFileExt(url)
            if(isVideo){
                this.$get(`${this.api.getPlayAuth}/${url}`).then(res => {
                    this.playAuth = res.data.playAuth
                    if(this.player){
                        this.player.replayByVidAndPlayAuth(url,this.playAuth)
                    }else{
                        this.player = new Aliplayer({
                            id: 'player',
                            width: '100%',
                            autoplay: false,
                            vid : url,
                            playauth : this.playAuth,
                            encryptType:1, //当播放私有加密流时需要设置。
                        })
                    }
                }).catch(res => {})
            }else if(ext == 'pdf'){
                this.pdfSrc = url
                this.pdfVisible = true
            }else if(util.isDoc(ext)){
                window.open(`https://view.officeapps.live.com/op/view.aspx?src=${url}`)
            }else if(util.isImg(ext)){
                window.open(url)
            }
        },
        insertScript(){
            const linkTag = document.createElement('link')
            linkTag.id = 'aliplayerLink'
            linkTag.rel = 'stylesheet'
            linkTag.href = 'https://g.alicdn.com/de/prismplayer/2.8.2/skins/default/aliplayer-min.css'
            document.body.appendChild(linkTag)

            const scriptTag = document.createElement('script')
            scriptTag.id = 'aliplayerScript'
            scriptTag.type = 'text/javascript'
            scriptTag.src = 'https://g.alicdn.com/de/prismplayer/2.8.2/aliplayer-min.js'
            document.body.appendChild(scriptTag)
            this.$once('hook:beforeDestroy', function () {
                document.body.removeChild(document.querySelector('#aliplayerLink'))
                document.body.removeChild(document.querySelector('#aliplayerScript'))
            })
        },
        closePlayer(){
            this.playAuth = ''
            this.player.pause()
        },
        download(fileName,url,isVideo){
            if(isVideo){
                this.loadIns = Loading.service()
                this.preview(url,isVideo,1)
                setTimeout(() => {
                    util.downloadFile(fileName,document.querySelector('#player video').src)
                    this.loadIns.close()
                    this.playAuth = ''
                },1000)
            }else{
                let ext = util.getFileExt(url)
                if(util.isImg(ext)){
                    util.downloadFile(fileName,url)
                }else{
                    window.open(url)
                }
            }
        }
    }
}