/**
 * 业务配置
 * */

const env = process.env.NODE_ENV;

const Setting = {
    /**
     * 基础配置
     * */
    // 网页标题的后缀
    titleSuffix: '电子竞技数字化考试系统-用户端',
    // 路由模式，可选值为 history 或 hash
    routerMode: 'hash',
    // 页面切换时，是否显示模拟的进度条
    showProgressBar: true,
    // 接口请求地址
    // apiBaseURL: env === 'development' ? 'http://192.168.31.152:8001' : 'http://39.108.250.202:8000',
    apiBaseURL: env === 'development' ? 'http://192.168.31.152:8001' : 'http://39.108.250.202:9000',
    // 接口请求返回错误时，弹窗的持续时间，单位：秒
    modalDuration: 3,
    // 接口请求返回错误时，弹窗的类型，可选值为 Message 或 Notice
    errorModalType: 'Message',
    // Cookies 默认保存时间，单位：天
    cookiesExpires: 1,
    /**
     * sessionStorage里state的key
     */
    storeKey: 'exa_user_store',
    /**
     * sessionStorage里username的key
     */
    usernameKey: 'exa_user_username',
    /**
     * 默认密码
     */
    initialPassword: '111aaa',
    /**
    * 多语言配置
    * */
    i18n: {
        // 默认语言
        default: 'zh',
        // 是否根据用户电脑配置自动设置语言（仅第一次有效）
        auto: false
    },
    /**
     * 布局配置
     * */
    layout: {
        // 需要隐藏顶栏的页面路径
        hideNavList: ['practice-do','practice-randomDo','setting-person','achievement-assessment','achievement-practice','exam-do','exam-detail','wrongBook-do'],
    },
    /**
     * 功能配置
     * */
    // 相同路由，不同参数间进行切换，是否强力更新
    sameRouteForceUpdate: false,
    // 是否使用动态路由
    dynamicRoute: false,
    // 文件上传
    upload: {
        apiURL: 'http://8.134.8.197:8001',
        maxSize: 30,
    },
};

export default Setting;
