/**
 * 试卷管理
 * */
export default {
    namespaced: true,
    state: {
        degreeList: [
            {
                id: 0,
                label: '简单'
            },{
                id: 1,
                label: '一般'
            },{
                id: 2,
                label: '较难'
            },{
                id: 3,
                label: '很难'
            },
        ],
        practiseId: '',
        paperId: '',
        practiseName: '',
        isContinue: '',
        identification: '',
    },
    getters: {
        getDegreeName: state => id => {
            return id != null ? state.degreeList.find(n => n.id == id).label : ''
        }
    },
    mutations: {
        SET_INFO: (state, info) => {
            state.practiseId = info.practiseId
            state.paperId = info.paperId
            state.practiseName = info.practiseName
            state.isContinue = info.isContinue
            state.identification = info.identification
        },
    },
    actions: {
        setInfo({ commit },info) {
            commit('SET_INFO',info)
        },
    }
}